For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSynchronously enrich transactions
      • GETRetrieve a transaction
      • GETList all transactions
      • DELDeletes a transaction
      • POSTAssign a transaction to an account holder
LogoLogo
Legacy DocsSign in
API ReferenceTransactions

Synchronously enrich transactions

POST
https://api.ntropy.com/v3/transactions
POST
/v3/transactions
$curl -X "POST" \
> "https://api.ntropy.com/v3/transactions" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl" \
> -H "Content-Type: application/json" \
> -d '{
> "id": "xbx8YP14g565Xk",
> "description": "SQ* STARBUCKS 10 Union Sq",
> "date": "2024-03-30",
> "amount": 10.0,
> "entry_type": "outgoing",
> "currency": "USD",
> "account_holder_id": "35b927b6-6fda-40aa-93b8-95b47c2b2cad",
> "location": {
> "country": "US"
> }
> }'
$
1{
2 "created_at": "2024-03-30T00:00:00",
3 "id": "xbx8YP14g565Xk",
4 "entities": {
5 "counterparty": {
6 "type": "organization",
7 "id": "d4bc3c80-ec1a-3da2-836e-2a4ca4758be5",
8 "name": "Starbucks",
9 "website": "starbucks.com",
10 "phone_number": "+1 4153753176",
11 "tax_number": "80-0429876",
12 "naics2017": "541519",
13 "logo": "https://logos.ntropy.com/starbucks.com",
14 "mccs": [
15 5814
16 ]
17 },
18 "intermediaries": [
19 {
20 "id": "916bc837-55ef-3106-88f6-5a8269ca9f2a",
21 "name": "Square, Inc.",
22 "website": "squareup.com",
23 "logo": "https://logos.ntropy.com/squareup.com",
24 "mccs": []
25 }
26 ]
27 },
28 "categories": {
29 "general": "coffee shop"
30 },
31 "location": {
32 "raw_address": "10 Union Square E, New York, New York 10003, United States",
33 "structured": {
34 "street": "Union Square East",
35 "city": "New York",
36 "state": "New York",
37 "postcode": "10003",
38 "country_code": "US",
39 "country": "United States",
40 "house_number": "10",
41 "latitude": 40.734834,
42 "longitude": -73.989782,
43 "google_maps_url": "https://www.google.com/maps/search/?api=1&query=40.734834,-73.989782",
44 "apple_maps_url": "https://maps.apple.com/?q=40.734834,-73.989782"
45 }
46 }
47}
Enriches a transaction with information about entities, locations and categories. Besides the original `id` that was submitted, the response only contains the enriched fields. To view the complete transaction, including the original fields, such as description or amount, you can use any of the Transactions API listing methods. Complete guide: [Transaction Enrichment](../../../enrichment/introduction).
Was this page helpful?
Previous

Retrieve a transaction

Next
Built with

Enriches a transaction with information about entities, locations and categories. Besides the original id that was submitted, the response only contains the enriched fields.

To view the complete transaction, including the original fields, such as description or amount, you can use any of the Transactions API listing methods.

Complete guide: Transaction Enrichment.

Authentication

X-Api-Keystring
API Key authentication via header

Request

This endpoint expects an object.
idstringRequired>=1 character
A unique identifier of the transaction
descriptionstringRequired0-1024 characters
The description string of the transaction
datedateRequired

The date that the transaction was posted. Uses ISO 8601 format (YYYY-MM-DD)

amountdoubleRequired>=0

The amount of the transaction in the currency. Must be a positive value. For example, if the currency is USD, then it’s the amount in dollars.

entry_typeenumRequired

The direction of the flow of the money from the perspective of the account holder. outgoing to represent money leaving the account, such as purchases or fees, while incoming represents money entering the account, such as income or refunds.

Allowed values:
currencyenumRequired
The currency of the transaction in ISO 4217 format
account_holder_idstring or nullOptional<=256 characters

The unique ID of the account holder. Unsetting it will disable categorization.

locationobject or nullOptional
Location of where the transaction has taken place. This can greatly improve entity identification, especially under ambiguity.

Response

Enriched transactions.
created_atdatetime
The timestamp of when the account holder was created.
idstring>=1 character

A unique identifier for the transaction. If two transactions are submitted with the same id the most recent one will replace the previous one.

entitiesobject or null
Entities found by identity identification
categoriesobject or null
locationobject or null
errorobject or null

Errors

422
Unprocessable Entity Error